Package fr.gouv.vitam.access.internal.client

# Class AccessInternalClientFactory

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<AccessInternalClient>
fr.gouv.vitam.access.internal.client.AccessInternalClientFactory

All Implemented Interfaces:
  `VitamClientFactoryInterface<AccessInternalClient>`

public class AccessInternalClientFactory extends VitamClientFactory<AccessInternalClient>
Access client factory
Used to create access client : if configuration file does not exist 'access-client.conf',
mock access client will be returned

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccessInternalClient`
  `getClient()`
  Get the default type access client
  `static AccessInternalClientFactory`
  `getInstance()`
  Get the AccessInternalClientFactory instance
  `static AccessInternalClientFactory`
  `getInstance(WorkFlowExecutionContext executionContext)`
  Get the AccessInternalClientFactory instance for the given workflow execution context

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static AccessInternalClientFactory getInstance()
    Get the AccessInternalClientFactory instance
    Returns:
      the instance

  - ### getInstance

    public static AccessInternalClientFactory getInstance(WorkFlowExecutionContext executionContext)
    Get the AccessInternalClientFactory instance for the given workflow execution context
    Parameters:
      `executionContext` - the workflow execution context
    Returns:
      the instance

  - ### getClient

    public AccessInternalClient getClient()
    Get the default type access client
    Returns:
      the default access client